package com.mortals.xhx.module.page.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.page.model.PageEntity;
/**
* 页面信息查询对象
*
* @author zxfei
* @date 2023-10-07
*/
public class PageQuery extends PageEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 页面名称 */
    private List<String> pageNameList;

    /** 页面名称排除列表 */
    private List <String> pageNameNotList;
    /** 开始 页面类型(1.首页,2.产品详情,3.文章详情) */
    private Integer pageTypeStart;

    /** 结束 页面类型(1.首页,2.产品详情,3.文章详情) */
    private Integer pageTypeEnd;

    /** 增加 页面类型(1.首页,2.产品详情,3.文章详情) */
    private Integer pageTypeIncrement;

    /** 页面类型(1.首页,2.产品详情,3.文章详情)列表 */
    private List <Integer> pageTypeList;

    /** 页面类型(1.首页,2.产品详情,3.文章详情)排除列表 */
    private List <Integer> pageTypeNotList;

    /** 页面短链接 */
    private List<String> pageUrlList;

    /** 页面短链接排除列表 */
    private List <String> pageUrlNotList;
    /** 可以是一个包含其他页面信息的JSON对象或单独的字段，根据页面的具体需求来设计 */
    private List<String> otherDetailList;

    /** 可以是一个包含其他页面信息的JSON对象或单独的字段，根据页面的具体需求来设计排除列表 */
    private List <String> otherDetailNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 收藏时间 */
    private String favoriteTimeStart;

    /** 结束 收藏时间 */
    private String favoriteTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<PageQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<PageQuery> andConditionList;

    public PageQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 页面名称
    * @return pageNameList
    */
    public List<String> getPageNameList(){
        return this.pageNameList;
    }

    /**
    * 设置 页面名称
    * @param pageNameList
    */
    public void setPageNameList(List<String> pageNameList){
        this.pageNameList = pageNameList;
    }

    /**
    * 获取 页面名称
    * @return pageNameNotList
    */
    public List<String> getPageNameNotList(){
        return this.pageNameNotList;
    }

    /**
    * 设置 页面名称
    * @param pageNameNotList
    */
    public void setPageNameNotList(List<String> pageNameNotList){
        this.pageNameNotList = pageNameNotList;
    }

    /**
    * 获取 开始 页面类型(1.首页,2.产品详情,3.文章详情)
    * @return pageTypeStart
    */
    public Integer getPageTypeStart(){
        return this.pageTypeStart;
    }

    /**
    * 设置 开始 页面类型(1.首页,2.产品详情,3.文章详情)
    * @param pageTypeStart
    */
    public void setPageTypeStart(Integer pageTypeStart){
        this.pageTypeStart = pageTypeStart;
    }

    /**
    * 获取 结束 页面类型(1.首页,2.产品详情,3.文章详情)
    * @return $pageTypeEnd
    */
    public Integer getPageTypeEnd(){
        return this.pageTypeEnd;
    }

    /**
    * 设置 结束 页面类型(1.首页,2.产品详情,3.文章详情)
    * @param pageTypeEnd
    */
    public void setPageTypeEnd(Integer pageTypeEnd){
        this.pageTypeEnd = pageTypeEnd;
    }

    /**
    * 获取 增加 页面类型(1.首页,2.产品详情,3.文章详情)
    * @return pageTypeIncrement
    */
    public Integer getPageTypeIncrement(){
        return this.pageTypeIncrement;
    }

    /**
    * 设置 增加 页面类型(1.首页,2.产品详情,3.文章详情)
    * @param pageTypeIncrement
    */
    public void setPageTypeIncrement(Integer pageTypeIncrement){
        this.pageTypeIncrement = pageTypeIncrement;
    }

    /**
    * 获取 页面类型(1.首页,2.产品详情,3.文章详情)
    * @return pageTypeList
    */
    public List<Integer> getPageTypeList(){
        return this.pageTypeList;
    }

    /**
    * 设置 页面类型(1.首页,2.产品详情,3.文章详情)
    * @param pageTypeList
    */
    public void setPageTypeList(List<Integer> pageTypeList){
        this.pageTypeList = pageTypeList;
    }

    /**
    * 获取 页面类型(1.首页,2.产品详情,3.文章详情)
    * @return pageTypeNotList
    */
    public List<Integer> getPageTypeNotList(){
        return this.pageTypeNotList;
    }

    /**
    * 设置 页面类型(1.首页,2.产品详情,3.文章详情)
    * @param pageTypeNotList
    */
    public void setPageTypeNotList(List<Integer> pageTypeNotList){
        this.pageTypeNotList = pageTypeNotList;
    }


    /**
    * 获取 页面短链接
    * @return pageUrlList
    */
    public List<String> getPageUrlList(){
        return this.pageUrlList;
    }

    /**
    * 设置 页面短链接
    * @param pageUrlList
    */
    public void setPageUrlList(List<String> pageUrlList){
        this.pageUrlList = pageUrlList;
    }

    /**
    * 获取 页面短链接
    * @return pageUrlNotList
    */
    public List<String> getPageUrlNotList(){
        return this.pageUrlNotList;
    }

    /**
    * 设置 页面短链接
    * @param pageUrlNotList
    */
    public void setPageUrlNotList(List<String> pageUrlNotList){
        this.pageUrlNotList = pageUrlNotList;
    }

    /**
    * 获取 可以是一个包含其他页面信息的JSON对象或单独的字段，根据页面的具体需求来设计
    * @return otherDetailList
    */
    public List<String> getOtherDetailList(){
        return this.otherDetailList;
    }

    /**
    * 设置 可以是一个包含其他页面信息的JSON对象或单独的字段，根据页面的具体需求来设计
    * @param otherDetailList
    */
    public void setOtherDetailList(List<String> otherDetailList){
        this.otherDetailList = otherDetailList;
    }

    /**
    * 获取 可以是一个包含其他页面信息的JSON对象或单独的字段，根据页面的具体需求来设计
    * @return otherDetailNotList
    */
    public List<String> getOtherDetailNotList(){
        return this.otherDetailNotList;
    }

    /**
    * 设置 可以是一个包含其他页面信息的JSON对象或单独的字段，根据页面的具体需求来设计
    * @param otherDetailNotList
    */
    public void setOtherDetailNotList(List<String> otherDetailNotList){
        this.otherDetailNotList = otherDetailNotList;
    }

    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 收藏时间
    * @return favoriteTimeStart
    */
    public String getFavoriteTimeStart(){
        return this.favoriteTimeStart;
    }

    /**
    * 设置 开始 收藏时间
    * @param favoriteTimeStart
    */
    public void setFavoriteTimeStart(String favoriteTimeStart){
        this.favoriteTimeStart = favoriteTimeStart;
    }

    /**
    * 获取 结束 收藏时间
    * @return favoriteTimeEnd
    */
    public String getFavoriteTimeEnd(){
        return this.favoriteTimeEnd;
    }

    /**
    * 设置 结束 收藏时间
    * @param favoriteTimeEnd
    */
    public void setFavoriteTimeEnd(String favoriteTimeEnd){
        this.favoriteTimeEnd = favoriteTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public PageQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public PageQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public PageQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public PageQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public PageQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public PageQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 页面名称
    * @param pageName
    */
    public PageQuery pageName(String pageName){
        setPageName(pageName);
		return this;
    }

    /**
    * 设置 页面名称
    * @param pageNameList
    */
    public PageQuery pageNameList(List<String> pageNameList){
        this.pageNameList = pageNameList;
		return this;
    }

    /**
    * 设置  页面类型(1.首页,2.产品详情,3.文章详情)
    * @param pageType
    */
    public PageQuery pageType(Integer pageType){
	    setPageType(pageType);
		return this;
    }
	
	 /**
    * 设置 开始 页面类型(1.首页,2.产品详情,3.文章详情)
    * @param pageTypeStart
    */
    public PageQuery pageTypeStart(Integer pageTypeStart){
		this.pageTypeStart = pageTypeStart;
		return this;
    }

    /**
    * 设置 结束 页面类型(1.首页,2.产品详情,3.文章详情)
    * @param pageTypeEnd
    */
    public PageQuery pageTypeEnd(Integer pageTypeEnd){
		this.pageTypeEnd = pageTypeEnd;
		return this;
    }

    /**
    * 设置 增加 页面类型(1.首页,2.产品详情,3.文章详情)
    * @param pageTypeIncrement
    */
    public PageQuery pageTypeIncrement(Integer pageTypeIncrement){
		this.pageTypeIncrement = pageTypeIncrement;
		return this;
    }

    /**
    * 设置 页面类型(1.首页,2.产品详情,3.文章详情)
    * @param pageTypeList
    */
    public PageQuery pageTypeList(List<Integer> pageTypeList){
        this.pageTypeList = pageTypeList;
		return this;
        }

        /**
        * 设置 页面类型(1.首页,2.产品详情,3.文章详情)
        * @param pageTypeNotList
        */
        public PageQuery pageTypeNotList(List<Integer> pageTypeNotList){
        this.pageTypeNotList = pageTypeNotList;
        return this;
        }


	/**
    * 设置 页面短链接
    * @param pageUrl
    */
    public PageQuery pageUrl(String pageUrl){
        setPageUrl(pageUrl);
		return this;
    }

    /**
    * 设置 页面短链接
    * @param pageUrlList
    */
    public PageQuery pageUrlList(List<String> pageUrlList){
        this.pageUrlList = pageUrlList;
		return this;
    }


	/**
    * 设置 可以是一个包含其他页面信息的JSON对象或单独的字段，根据页面的具体需求来设计
    * @param otherDetail
    */
    public PageQuery otherDetail(String otherDetail){
        setOtherDetail(otherDetail);
		return this;
    }

    /**
    * 设置 可以是一个包含其他页面信息的JSON对象或单独的字段，根据页面的具体需求来设计
    * @param otherDetailList
    */
    public PageQuery otherDetailList(List<String> otherDetailList){
        this.otherDetailList = otherDetailList;
		return this;
    }


	/**
    * 设置 备注
    * @param remark
    */
    public PageQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public PageQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public PageQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public PageQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public PageQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public PageQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public PageQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public PageQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public PageQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public PageQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public PageQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public PageQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public PageQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public PageQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<PageQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<PageQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<PageQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<PageQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}